package net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class AreaCrossProblemAnalysisResult extends ParentResult {

    private List<CrossProblemAnalysisResultResponse> content;

    public   List<CrossProblemAnalysisResultResponse> getContent() {
        return content;
    }

    public AreaCrossProblemAnalysisResult setContent(  List<CrossProblemAnalysisResultResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossProblemAnalysisResultResponse {

    @ApiModelProperty(value = "路口ID",example = "13LBF0B5SP0")
    private   String crossId ;

    @ApiModelProperty(value = "路口名称",example = "经十西路与经十路交叉口")
    private   String crossName ;

    @ApiModelProperty(value = "事件代码 701：空放 702：路口失衡，703：路口溢出 707：路口拥堵",example = "'707'",dataType = "String")
    private   String eventType ;

    @ApiModelProperty(value = "事件类型名称",example = "路口拥堵")
    private   String eventLabel ;

    @ApiModelProperty(value = "事件问题数量",example = "2",dataType = "Integer")
    private   Integer number ;

}





