package net.wanji.opt.controllerv2.judgeanalysis.design.response.crossproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.AreaProblemTrendAnalysisResult;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.ProblemTrendAnalysisResultTimeFlow;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossDirProblemTrendAnalysisResult extends ParentResult {

    private CrossDirProblemTrendAnalysisResultResponse content;

    public  CrossDirProblemTrendAnalysisResultResponse getContent() {
        return content;
    }

    public CrossDirProblemTrendAnalysisResult setContent(CrossDirProblemTrendAnalysisResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossDirProblemTrendAnalysisResultResponse {


    @ApiModelProperty(value = "时段列表",example = "[\"20250311\",\"20250312\"]")
    private   List<String> timeList = new ArrayList<>();

//    @ApiModelProperty(value = "各路口时段流量列表",
//            example = "[{\"name\":\"路口1\",\"list\":[150,300]}," +
//                       "{\"name\":\"路口2\",\"list\":[150,300]}]")
    private List<CrossDirProblemTrendAnalysisResultTimeFlow> dataList=new ArrayList<>();

}

@Data
class CrossDirProblemTrendAnalysisResultTimeFlow extends ProblemTrendAnalysisResultTimeFlow {

    @ApiModelProperty(value = "方向编码",example = "1")
    private   Integer dir ;

    @ApiModelProperty(value = "方向名称",example = "")
    private   String dirName ;


}



