package net.wanji.opt.controllerv2.judgeanalysis.design.response.crossproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossProblemDirTrendAnalysisResult extends ParentResult {

    private  CrossProblemDirTrendAnalysisResultResponse content;

    public  CrossProblemDirTrendAnalysisResultResponse getContent() {
        return content;
    }

    public CrossProblemDirTrendAnalysisResult setContent(CrossProblemDirTrendAnalysisResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossProblemDirTrendAnalysisResultResponse {


    @ApiModelProperty(value = "时段列表",example = "[\"20250311\",\"20250312\"]")
    private   List<String> timeList = new ArrayList<>();

//    @ApiModelProperty(value = "各路口时段流量列表",
//            example = "[{\"name\":\"路口1\",\"list\":[150,300]}," +
//                       "{\"name\":\"路口2\",\"list\":[150,300]}]")
    private List<CrossProblemDirTrendAnalysisResultTimeFlow> dataList=new ArrayList<>();

}

@Data
class  CrossProblemDirTrendAnalysisResultTimeFlow {

    @ApiModelProperty(value = "方向代码：1~7顺时针，分别代表北、东北、东、东南、南、西南、西、西北",example = "1")
    private Integer dir ;

    @ApiModelProperty(value = "方向描述",example = "北")
    private String dirName ;

    @ApiModelProperty(value = "时段事件数量，时段对应到timeList",example = "[300,400]")
    private List<Integer> list ;

}



