package net.wanji.opt.controllerv2.judgeanalysis.design.response.crossproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.ProblemTrendAnalysisResultTimeFlow;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossProblemDistributeAnalysisResult extends ParentResult {

    private CrossProblemDistributeResponse content;

    public  CrossProblemDistributeResponse getContent() {
        return content;
    }

    public CrossProblemDistributeAnalysisResult setContent(CrossProblemDistributeResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossProblemDistributeResponse {


    @ApiModelProperty(value = "时段列表（小时/分钟）粒度格式：HH:mm",example = "[\"00:15\",\"00:30\"]",dataType = "String[]")
    private   List<String> timeList = new ArrayList<>();

    @ApiModelProperty(value = "时段列表（年-月-日 小时:分钟:秒）粒度格式：yyyy-MM-dd HH:mm:ss",example = "[\"2025-03-21 00:15:00\",\"2025-03-21 00:30:00\"]",dataType = "String[]")
    private   List<String> timeListAll = new ArrayList<>();

//    @ApiModelProperty(value = "各路口时段流量列表",
//            example = "[{\"name\":\"路口1\",\"list\":[150,300]}," +
//                       "{\"name\":\"路口2\",\"list\":[150,300]}]")
    private List<ProblemCountDurationDistributeRes> dataList=new ArrayList<>();

}

@Data
class   ProblemCountDurationDistributeRes  {

    @ApiModelProperty(value = "事件代码 701：空放 702：路口失衡，703：路口溢出 705：干线缓行 706：干线拥堵 707：路口拥堵",example = "'707'",dataType = "string")
    private   String eventType ;
    @ApiModelProperty(value = "事件类型名称",example = "路口拥堵")
    private   String eventLabel ;
    @ApiModelProperty(value = "时段事件发生总数量，时段对应到timeList",example = "[300,400]",dataType = "int[]")
    private List<Integer> totalNumberList ;
    @ApiModelProperty(value = "时段事件未优化总数量，时段对应到timeList",example = "[300,400]",dataType = "int[]")
    private List<Integer> noOptimizeNumberList ;

}




