package net.wanji.opt.controllerv2.judgeanalysis.design.response.crossproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class CrossProblemTimeDirReasonResult extends ParentResult {

    private CrossProblemTimeDirReasonBody content;

    public  CrossProblemTimeDirReasonBody getContent() {
        return content;
    }

    public CrossProblemTimeDirReasonResult setContent(CrossProblemTimeDirReasonBody content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossProblemTimeDirReasonBody  {

    @ApiModelProperty(value = "事件类型码",example = "'701'" )
    private   String eventType ;

    @ApiModelProperty(value = "事件类型名称",example = "路口空放")
    private   String eventLabel ;

    @ApiModelProperty(value = "问题主要发生时段",example = "[\"07：00-08:00\",\"18:00-19:00\"]")
    private   List<String> timeList ;

    @ApiModelProperty(value = "问题主要发生方向"/*,example = "[{'dir':1,'dirName':'北进口'},{'dir':3,'dirName':'东进口'}]"*/)
    private   List<CrossProblemDir> dirList ;

    // TODO 需要有个计算任务，根据小时流量或其他指标计算事件发生的原因
    @ApiModelProperty(value = "问题发生原因",example = "[\"区位原因\",\"交通流原因\"]")
    private List<String> reasonList ;

}

@Data
class  CrossProblemDir  {
    @ApiModelProperty(value = "方向代码：1~7顺时针，分别代表北、东北、东、东南、南、西南、西、西北",example = "1")
    private Integer dir ;

    @ApiModelProperty(value = "方向描述",example = "北")
    private String dirName ;
}
