package net.wanji.opt.controllerv2.judgeanalysis.design.response.crosssignal;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class CrossSignalPlanReasonResult extends ParentResult {

    private CCrossSignalPlanReasonReasonBody content;

    public  CCrossSignalPlanReasonReasonBody getContent() {
        return content;
    }

    public CrossSignalPlanReasonResult setContent(CCrossSignalPlanReasonReasonBody content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CCrossSignalPlanReasonReasonBody  {
    @ApiModelProperty(value = "路口方案详情")
    private   List<CCrossSignalPlan> list ;
}

@Data
class  CCrossSignalPlan  {
    @ApiModelProperty(value = "方案开始执行时间，格式：yyyy-MM-dd HH:mm:ss",example = "2025-03-21 00:00:00")
    private String startTime ;
    @ApiModelProperty(value = "方案截止执行时间，格式：yyyy-MM-dd HH:mm:ss",example = "2025-03-21 05:00:00")
    private String endTime ;
    @ApiModelProperty(value = "方案执行周期，单位秒",example = "120")
    private Integer cycle ;
}
