package net.wanji.opt.controllerv2.judgeanalysis.design.response.greenproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class GreenProblemTimeDirReasonResult extends ParentResult {

    private GreenProblemTimeDirReasonBody content;

    public  GreenProblemTimeDirReasonBody getContent() {
        return content;
    }

    public GreenProblemTimeDirReasonResult setContent(GreenProblemTimeDirReasonBody content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  GreenProblemTimeDirReasonBody  {

    @ApiModelProperty(value = "事件类型码",example = "'706'" )
    private   String eventType ;

    @ApiModelProperty(value = "事件类型名称",example = "干线拥堵")
    private   String eventLabel ;

    @ApiModelProperty(value = "问题主要发生时段",example = "[\"07：00-08:00\",\"18:00-19:00\"]")
    private   List<String> timeList ;

    @ApiModelProperty(value = "主要【拥堵/缓行】路口" ,example = "[\"路口1\",\"路口2\"]")
    private   List<String> mainCongestCrossName ;

    @ApiModelProperty(value = "主要【拥堵/缓行】路段",example = "[\"路段1\",\"路段2\"]")
    private   List<String> mainCongestRoadName ;

    // TODO 需要有个计算任务，根据小时流量或其他指标计算事件发生的原因
    @ApiModelProperty(value = "问题发生原因",example = "[\"区位原因\",\"交通流原因\"]")
    private List<String> reasonList ;

}
